Can't push new qtbindings release (413 error)

Luis Lavena luislavena at gmail.com
Tue Dec 10 16:56:23 UTC 2013


Ryan,


On Wed, Dec 4, 2013 at 1:21 PM, Ryan Melton <ryanmelt at gmail.com> wrote:

> Hi,
>
> Rubygems is not letting me push my new release of the qtbindings gem
> returning a 413 error.
>
> The gem is very large (82Mb) but it contains the entire Qt framework and
> allows for developing Qt applications using ruby on windows without having
> to install Qt, Cmake, mingw 4.4 and go through a long compile process.
>
> Any help allowing this to be uploaded would be appreciated.   If deleting
> old versions would help out that would be fine.
>
>
I believe you should open an issue at rubygems.org repository in github:

https://github.com/rubygems/rubygems.org

Questions:

- Are binaries (beyond the extension) included in the gem?
- Was cross-compilation used to produce the binaries?
- Are the extensions stripped of debug symbols?
- Are sample files bundled in the gem?

In relation to the last point, normally no user dig into the gem content to
look at the samples but instead they pull the repository or copy around.

See if these points can help decrease the gem size.

Thank you.

-- 
Luis Lavena
AREA 17
-
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupéry


More information about the RubyGems-Developers mailing list